#pragma once

#include "xwlselection.h"

class XwlPrimary : public XwlSelection
{
public:
    XwlPrimary(xcb_atom_t atom, xcb_window_t parent, const xcb_query_extension_reply_t *queryExtension, xcb_connection_t *xcbConn);
    ~XwlPrimary();

private:
    void doHandleXfixesNotify(xcb_xfixes_selection_notify_event_t *event) override;
    bool handleSelectionNotify(xcb_selection_notify_event_t *event) override;
};
